# Import

Table of Contents

###### Examples

Basic Usage

###### JavaScript Reference

Constructor
Requirements
Attributes
Properties
Methods

### What is an import

Import commonly used HTML snippets.

    <p>I am html</p>

    <k-import src="import-me.html"></k-import>

    <k-import src="import-me.html" rendered="true">
      <p>I am html</p>
    </k-import>

## JavaScript Reference

### Constructor

###### Extends Component

##### `new Import()`

### Requirements

- Component

### Attributes

##### `src: string`

The source URL of the HTML snippet to import.

### Properties

##### `src: string`

The source URL of the HTML snippet to import.

### Methods

##### `load(): Promise`

Loads the HTML snippet from the specified source URL.